[Digikam-devel] [Bug 282099] New: easier installation (=?UTF-8?Q?compare=20to=20Building=20Digikam=20for=20Dummies=20on=20Ubuntu=20and=20other=20linux=20based=20distro=C2=B4s?=)

Axel Krebs axel.krebs at t-online.de
Thu Sep 15 19:56:47 UTC 2011


https://bugs.kde.org/show_bug.cgi?id=282099

           Summary: easier installation (compare to Building Digikam for
                    Dummies on Ubuntu and other linux based distro´s)
           Product: digikam
           Version: unspecified
          Platform: Unlisted Binaries
        OS/Version: Linux
            Status: UNCONFIRMED
          Severity: wishlist
          Priority: NOR
         Component: general
        AssignedTo: digikam-devel at kde.org
        ReportedBy: axel.krebs at t-online.de


Version:           unspecified (using KDE 4.5.5) 
OS:                Linux

By fortune, I got to read about "Building Digikam for Dummies on Ubuntu and
other linux based distro´s" <http://digikam.org/drupal/node/621>

So I tryed to and failed. At another place, I found, that this installation is
_not_ easy for beginners- using packages would be safer. 

So I have to feel like a "dummy"? 

Anyway, I saw another attempt for KRITA out of KDE-programs family."Script to
Compile Krita & Karbon for You v1.1.1 - Mintastic" under
<http://forum.kde.org/viewtopic.php?f=139&t=92880#p186086>

let me, please citate the features:
Features:
!!* Auto-updates itself (never download again!)

!! * Builds and updates the latest TRUNK (instant changes, bleeding-edge code)
version of Krita and Karbon from Git

!! * Automatically uses all CPU cores to build as fast as possible (can be
switched off by changing the multicore variable to false).

* Tells you your version / commit number for when you report bugs (and you 
*are* going to report them, given you're running trunk... right? ;P )

!! * Designed for people who know nothing about compiling, should all just be
copy, paste and go.

* Creates menu items on Gnome and KDE. (I'm open to supporting XFCE with some
help)

!! * Installs dependencies on supported distros:


I am _not_ programmer but like to use (and understand) software. But the "!!"
marked features seem to be very logical. I suppose, even when switching to
other software-servers could be automated here (KDE, GIT, ..?).

Maybe you'll find this suggestion useful. I hope you do. 

Because I do _not_ get repositories for KDE 4.7++ running anymore... I love
DigiKam, but can _not- install V. 2.1 

Thank You-



Axel

Reproducible: Always

Steps to Reproduce:
suggestion: to use script based installation for DigiKam
(dummy could be understood as nerd or stupid. Seems unprofessional to me.
Sorry)

Actual Results:  
none

Expected Results:  
huge simplification of installation procedure. 
Time-saving, fuilure-minimization.
Standardisation, independant on users knowledge.

I recommend digiKam, whenever I can - reat piece of software

-- 
Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.


More information about the Digikam-devel mailing list